.animation-size-expand {
  position: relative;
  -webkit-transition: transform 300ms ease-in;
  -webkit-transform: scale(1);
  -ms-transition: transform 300ms ease-in;
  -ms-transform: scale(1);
  -moz-transition: transform 300ms ease-in;
  -moz-transform: scale(1);
  transition: transform 300ms ease-in;
  transform: scale(1);
}

.animation-size-expand-hover:hover.animation-size-expand, .animation-size-expand-hover:hover .animation-size-expand {
  z-index: 1000;
  -webkit-transition: transform 100ms ease-in;
  -webkit-transform: scale(1.3);
  -ms-transition: transform 100ms ease-in;
  -ms-transform: scale(1.3);
  -moz-transition: transform 100ms ease-in;
  -moz-transform: scale(1.3);
  transition: transform 100ms ease-in;
  transform: scale(1.3);
}

.animation-size-expand-hover-small:hover.animation-size-expand, .animation-size-expand-hover-small:hover .animation-size-expand {
  z-index: 1000;
  -webkit-transition: transform 100ms ease-in;
  -webkit-transform: scale(1.1);
  -ms-transition: transform 100ms ease-in;
  -ms-transform: scale(1.1);
  -moz-transition: transform 100ms ease-in;
  -moz-transform: scale(1.1);
  transition: transform 100ms ease-in;
  transform: scale(1.1);
}

.animation-size-expand-hover-tiny:hover.animation-size-expand, .animation-size-expand-hover-tiny:hover .animation-size-expand {
  z-index: 1000;
  -webkit-transition: transform 100ms ease-in;
  -webkit-transform: scale(1.05);
  -ms-transition: transform 100ms ease-in;
  -ms-transform: scale(1.05);
  -moz-transition: transform 100ms ease-in;
  -moz-transform: scale(1.05);
  transition: transform 100ms ease-in;
  transform: scale(1.05);
}

.btn {
  margin-top: 5px;
  margin-bottom: 5px;
  border: none;
  color: white;
  padding: 13px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  width: 100%;
  cursor: pointer;
}
.btn :focus {
  outline: 0;
}

.btn-remove-player {
  display: none;
}

.btn-clean {
  background-color: Transparent;
  background-repeat: no-repeat;
  border: none;
  cursor: pointer;
  overflow: hidden;
  outline: none;
}

.btn-slim {
  padding: 5px 15px;
  font-size: 13px;
}

.btn-select {
  background: url(http://i62.tinypic.com/15xvbd5.png) no-repeat 96% 0;
}

.btn-primary {
  background-color: #689F38;
}

.btn-secondary {
  background-color: #757575;
}

.flex, .canvas-overlay-text {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
}

.flex-no-wrap {
  flex-wrap: nowrap;
}

.flex-column {
  flex-direction: column;
}

.flex-start {
  justify-content: start;
}

.flex-space-between {
  justify-content: space-between;
}

.flex-align-end {
  align-items: flex-end;
}

.flex-align-center {
  align-items: center;
}

.flex-center {
  justify-content: center;
}

.flex-self-center {
  align-self: center;
}

.flex-self-end {
  align-self: flex-end;
}

.flex-grow-1 {
  flex-grow: 1;
}

.flex-grow-2 {
  flex-grow: 2;
}

.flex-center-xy, .canvas-overlay-text {
  align-items: center;
  justify-content: center;
}

.flex-2x2 {
  min-height: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

.flex-2x2 > * {
  display: flex;
  flex-basis: calc(50% - 40px);
  justify-content: center;
  flex-direction: column;
}

.flex, .canvas-overlay-text {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
}

.flex-no-wrap {
  flex-wrap: nowrap;
}

.flex-column {
  flex-direction: column;
}

.flex-start {
  justify-content: start;
}

.flex-space-between {
  justify-content: space-between;
}

.flex-align-end {
  align-items: flex-end;
}

.flex-align-center {
  align-items: center;
}

.flex-center {
  justify-content: center;
}

.flex-self-center {
  align-self: center;
}

.flex-self-end {
  align-self: flex-end;
}

.flex-grow-1 {
  flex-grow: 1;
}

.flex-grow-2 {
  flex-grow: 2;
}

.flex-center-xy, .canvas-overlay-text {
  align-items: center;
  justify-content: center;
}

.flex-2x2 {
  min-height: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

.flex-2x2 > * {
  display: flex;
  flex-basis: calc(50% - 40px);
  justify-content: center;
  flex-direction: column;
}

.canvas-container {
  position: relative;
}

.map-canvas-z-index {
  z-index: 100 !important;
}

.power-up-canvas-z-index {
  z-index: 200;
}

.worm-body-canvas-1-z-index {
  z-index: 300;
}

.worm-body-canvas-2-z-index {
  z-index: 310;
}

.worm-body-canvas-3-z-index {
  z-index: 320;
}

.worm-head-canvas-z-index {
  z-index: 400;
}

.border-canvas-z-index {
  z-index: 500;
}

.canvas-overlay-container, .canvas-overlay-container-round {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 450;
  color: #689F38;
}

.canvas-overlay-container-round {
  border-radius: 50%;
}

.canvas-overlay-faded-bg, .canvas-overlay-hover-wrapper:hover .canvas-overlay-hover-effect {
  background-color: rgba(255, 255, 255, 0.5);
}

.canvas-overlay-text {
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
  text-align: center;
}

.round-over-text-circle-map {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}

.canvas-overlay-hover-wrapper:hover .canvas-overlay-hover-effect {
  opacity: 1;
  z-index: 450 !important;
}

table {
  line-height: inherit;
}

body {
  padding: 0;
  background-color: #faf7ed;
}

.page-main {
  margin-right: auto;
  margin-left: auto;
  max-width: 1200px;
  padding-left: 20px;
  padding-right: 20px;
}

/**
 * Select
 */
.select {
  background: url(http://i62.tinypic.com/15xvbd5.png) no-repeat 96% 0;
  height: 29px;
  overflow: hidden;
  width: 240px;
}
.select select {
  color: white;
  -webkit-appearance: none;
  -moz-appearance: none;
  background: transparent;
  border: none;
  font-size: 14px;
  height: 29px;
  padding-left: 5px; /* If you add too much padding here, the options won't show in IE */
  width: 268px;
}
.select select option {
  background-color: #689F38;
  color: white;
}

.select-primary {
  background-color: #689F38;
}

/**
 * Input
 */
.input {
  background-color: Transparent;
  background-repeat: no-repeat;
  border: none;
  cursor: text;
  overflow: hidden;
  outline: none;
  border-bottom: 2px dotted #000000;
}

/**
 * Icons
*/
.icon-remove {
  fill: "green";
}

/**
* Table
*/
.table {
  width: 100%;
}
.table td {
  padding: 8px;
}

.table-round-score {
  width: 100%;
}
.table-round-score .round-score {
  font-size: 10px;
  width: 15px;
}
.table-round-score tr {
  height: 25px;
}
.table-round-score .col-tie-score {
  position: relative;
}
.table-round-score .col-tie-score .tie-info {
  display: none;
  position: absolute;
  right: 46px;
  top: 3px;
  font-size: 13px;
  color: white;
  background-color: black;
  border-radius: 3px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 3px;
  padding-bottom: 2px;
  white-space: nowrap;
}
.table-round-score .col-tie-score {
  min-width: 37px;
}
.table-round-score .col-tie-score .tie {
  background-color: #689F38;
  color: white;
  padding: 3px;
  border-radius: 5px;
  cursor: default;
  float: right;
}
.table-round-score .col-tie-score img {
  float: right;
}
.table-round-score .col-tie-score:hover .tie-info {
  display: inline;
}

/**
 * Player settings table
*/
.table-player .col-bot {
  width: 10%;
}
.table-player .col-color {
  width: 10%;
}
.table-player .col-name {
  width: 40%;
}
.table-player .col-keybinding {
  width: 20%;
  min-width: 66px;
  text-align: center;
}
.table-player .col-selected {
  outline: 4px solid;
  outline-offset: -4px;
  background-color: lightblue;
}
.table-player .col-remove {
  min-width: 40px;
}
.table-player .col-ready {
  color: #689F38;
}
.table-player tbody tr:hover td:not(:last-child) {
  background-color: lightblue;
}
.table-player tbody tr:hover .btn-remove-player {
  display: block;
}

.table-score {
  width: 100%;
}
.table-score tr {
  height: 43px;
}
.table-score td:nth-child(1) {
  width: 27px;
}
.table-score td:nth-child(3) {
  text-align: center;
}

.new-match-preview {
  position: relative;
  width: 100%;
  padding-top: 100%;
  height: 0px;
}
.new-match-preview .preview-canvas-container {
  width: 100% !important;
  height: 100% !important;
  position: absolute;
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
}

.score-graph-outer-wrapper {
  position: relative;
  width: 100%;
  padding-top: 66.667%;
  height: 0px;
}
.score-graph-outer-wrapper .score-graph-inner-wrapper {
  width: 100% !important;
  height: 100% !important;
  position: absolute;
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
}

.match-over-replay {
  width: 208px;
  height: 208px;
  margin: auto;
}

.canvas-container canvas {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.color-picker {
  width: 25px;
  height: 25px;
  position: relative;
  float: left;
  cursor: pointer;
}

.color-picker-selected {
  width: 25px;
  height: 25px;
}

.color-picker-list {
  position: absolute;
  z-index: 1;
  top: 0px;
  left: 25px;
  width: 300px;
}

.max-score {
  max-width: 110px;
}
.max-score img {
  height: 29px;
  margin-right: 10px;
}
.max-score input {
  width: 4em;
  margin-bottom: 1px;
  text-align: center;
}

.heading h1 {
  margin-bottom: 0;
  text-align: center;
}
.heading {
  margin-bottom: 10px;
  border-bottom: 1px solid;
  border-color: #bdbdbd;
}

.hidden {
  display: none;
}

.multi-player-enter {
  display: flex;
  flex-direction: column;
  width: 30%;
  margin: auto;
}
.multi-player-enter input {
  text-align: center;
}

.replay-container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.round-replay {
  cursor: pointer;
  position: relative;
}

.round-replay:hover .round-watch-replay {
  display: flex;
}

.facebook-page-link svg:hover :first-child {
  fill: #365899;
}

.fb-like span {
  margin-bottom: 4px;
}

.m-b-2 {
  margin-bottom: 10px;
}

.m-b-3 {
  margin-bottom: 20px;
}

.m-l-1 {
  margin-left: 5px;
}

.m-l-2 {
  margin-left: 10px;
}

.m-r-3 {
  margin-right: 20px;
}

.m-t-2 {
  margin-top: 10px;
}

.m-x-2 {
  margin-left: 10px;
  margin-right: 10px;
}

.m-t-0 {
  margin-top: 0;
}

.m-b-0 {
  margin-bottom: 0;
}

.m-t-3 {
  margin-top: 20px;
}

.m-x-3 {
  margin-left: 20px;
  margin-right: 20px;
}

.hidden {
  display: none;
}

.opacity-0 {
  opacity: 0;
}

.opacity-25 {
  opacity: 0.25;
}

.opacity-5 {
  opacity: 0.5;
}

.selected {
  background-color: lightblue;
}
